﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Person> data = new List<Person>();
            data.Add(new Person() { Age = 10 });
            data.Add(new Person() { Age = 20 });
            data.Add(new Person() { Age = 30 });

            ViewModel vm = new ViewModel();
            vm.Data = data;
            vm.MyLabel = "MyText";
            this.DataContext = vm;
        }
    }
    public class Person
    {
        public int Age { get; set; }
    }

    public class ViewModel
    {
        public List<Person> Data { get; set; }
        public string MyLabel { get; set; }
    }

}
